> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer

> Get Customer based on ID



## OpenAPI

````yaml openapi.json get /customers/{customer_id}
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 0.213.0
servers:
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v0
  - description: Production
    url: https://api.synctera.com/v0
security:
  - bearerAuth: []
tags:
  - description: Lookup merchant information
    name: Merchants
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Account programs define configurations for payment rails and transaction
      capabilities across different account types.
    name: Account Programs
  - description: Simulate receiving ACH transactions and returns
    name: ACH Transaction Simulations
  - description: Requests for risk evaluation and decisioning
    name: Risk Evaluations
  - description: Requests to link and manage External Cards
    name: External Cards
  - description: |
      The disclosures resource is used to track the status of disclosures and
      ensure that all parties have been shown the necessary disclosures to meet
      regulatory obligations.
    name: Disclosures
  - description: Create and manage Cash Order and Cash Deposit transfers
    name: Cash Orders and Deposits (alpha)
  - description: Requests to initiate customer verification.
    name: KYC Verification (deprecated)
  - description: Request to create and manage users
    name: Users
  - description: See balance history
    name: BalanceHistory
  - description: >-
      Migration mappings associate resources from an old tenant identity with a
      new tenant identity.
    name: Migration Mappings
  - description: |
      The External Account resource is used for managing links to accounts
      that operate outside of the Synctera ecosystem.
    name: External Accounts
  - description: Requests to create and manage account products, including fees, interest.
    name: Account Products
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Create and manage documents.
    name: Documents
  - description: >-
      Create and manage same currency and multi-currency international wire
      transfers
    name: International Wires (alpha)
  - description: Requests for transaction risk detection
    name: Transaction risk
  - description: >-
      Used to configure bank accounts for which synctera accounts are considered
      a "subledger" to
    name: Bank Account
  - description: Request to create and manage party groups and party group members
    name: Party Groups
  - description: Requests to manage addresses
    name: Addresses
  - description: Requests to manage monitoring subscriptions and alerts for customers.
    name: Monitoring
  - description: Requests to search and manage compliance searches
    name: Compliance Searches
  - description: Requests to create and manage customers
    name: Customers
  - description: |
      The internal account resource is used for managing links to internal
      accounts where the funds are managed by integrators.
    name: Internal Accounts
  - description: Create and manage spending controls
    name: Spend Controls
  - description: Retrieve user identity information
    name: Identity
  - description: Requests to manage banks
    name: Banks
  - description: |
      The Disclosures resource is used to track the status of disclosures and
      ensure that customers have been shown the necessary disclosures to meet
      regulatory obligations.
    name: Disclosures (deprecated)
  - description: Create and manage wire transfers
    name: Wires
  - description: Requests to issue and manage Cards
    name: Cards
  - description: Request to create and manage edd
    name: Trust
  - description: Request to enroll, renew, or cancel watchlist monitors
    name: Watchlist (deprecated)
  - description: Endpoints for modifying or fetching posting dates
    name: Posting Dates
  - description: Transaction lines API
    name: transactions
  - description: Request to create and manage accounts
    name: Accounts
  - description: Requests to create and manage notes
    name: Notes
  - description: Account Template
    name: Account Templates
  - description: API for effective balances
    name: effective_balances
  - description: Requests to create and manage personal ID configurations
    name: Personal ID Configuration
  - description: >
      A natural person (individual human) that is relevant to the Synctera
      platform in some way: e.g. a personal customer or a director/officer/owner
      of a business.
    name: Persons
  - description: >
      Represents the relationships between parties. A relationship can exist
      between personal customers, business customers, or non-customer
      persons/organizations.
    name: Relationships
  - description: >
      A legal entity (corporation, partnership, etc.) that is relevant to the
      Synctera platform in some way: a business customer or some other
      organization that has an ownership share in such a business customer.
    name: Businesses
  - description: Request to create and manage payment_schedules
    name: Cronut
  - description: Requests to manage partners
    name: Partners
  - description: Request to create and manage deposits using remote deposit capture
    name: Remote Check Deposit
  - description: Requests to create and manage API keys
    name: API Keys
  - description: Requests to create and manage ban rules
    name: Ban Rules
  - description: Admin API for Middesk configuration using the tenants API keys.
    name: Middesk
  - description: Request to create and manage exclusions
    name: Stately
  - description: Request to create and manage partner configurations
    name: Quickstart
  - description: Manage contacts for bank and fintech partners
    name: Contacts
  - description: Create and manage transactions
    name: Transactions
  - description: Request to create and manage rdc configurations
    name: RDC Config
  - description: Create and manage holds
    name: Hold
  - description: Requests to create and manage roles
    name: Roles
  - description: Simulate receiving Wire transactions and returns
    name: Wire Transaction Simulations
  - description: Requests to create licenses
    name: Licenses
  - description: Requests to Admins to grant permissions to user
    name: Request Permissions
  - description: Configure vendor secrets for egress requests
    name: Egress Gateway Vendor Secret CRUD API
  - description: Requests to screen parties against sanctions watchlists
    name: Sanctions Screening
  - description: Create and manage payments
    name: ACH
  - description: Requests to calculate and manage CRR
    name: CRR
  - description: Requests to search financial institutions
    name: Institutions (Beta)
  - description: Create and manage tenant configurations
    name: Tenant Configs
  - description: Create and manage sweep configurations
    name: Configs
  - description: >
      Represents the compliance rules that are used to verify certain kinds of
      money movement.
    name: Compliance Rules
  - description: Configure webhook secrets for egress requests
    name: Egress Gateway Webhook Secret CRUD API
  - description: Create and manage transactions
    name: Transactions (internal)
  - description: History
    name: History
  - description: Create and manage EFT Canada transfers
    name: EFT Canada (Beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Requests to initiate customer verification.
    name: KYC/KYB Verifications
paths:
  /customers/{customer_id}:
    summary: Customer
    description: >
      This resource represents a customer.  Each customer is identified by a
      customer `ID`
    get:
      tags:
        - Customers
      summary: Get Customer
      description: Get Customer based on ID
      operationId: getCustomer
      parameters:
        - $ref: '#/components/parameters/customer_id_path'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/customer_response_body'
          description: Customer
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '404':
          $ref: '#/components/responses/not_found'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    customer_id_path:
      description: The customer's unique identifier
      in: path
      name: customer_id
      required: true
      schema:
        $ref: '#/components/schemas/customer_id'
  schemas:
    customer_response_body:
      discriminator:
        mapping:
          ACTIVE:
            $ref: '#/components/schemas/customer_response'
          DECEASED:
            $ref: '#/components/schemas/customer_response'
          DENIED:
            $ref: '#/components/schemas/customer_response'
          DORMANT:
            $ref: '#/components/schemas/customer_response'
          ESCHEAT:
            $ref: '#/components/schemas/customer_response'
          FROZEN:
            $ref: '#/components/schemas/customer_response'
          INACTIVE:
            $ref: '#/components/schemas/customer_response'
          PROSPECT:
            $ref: '#/components/schemas/prospect_response'
          SANCTION:
            $ref: '#/components/schemas/customer_response'
        propertyName: status
      oneOf:
        - $ref: '#/components/schemas/prospect_response'
        - $ref: '#/components/schemas/customer_response'
      type: object
    customer_id:
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      type: string
    customer_response:
      allOf:
        - properties:
            vendor_info:
              $ref: '#/components/schemas/party_vendor_info'
        - $ref: '#/components/schemas/customer'
      description: Details of a customer
      title: Customer
      type: object
    prospect_response:
      allOf:
        - properties:
            vendor_info:
              $ref: '#/components/schemas/party_vendor_info'
        - $ref: '#/components/schemas/prospect'
      description: Details of a prospect
      title: Prospect
      type: object
    error:
      description: >-
        Synctera error responses in API v0 follow [RFC
        7807](https://datatracker.ietf.org/doc/html/rfc7807). Following that
        standard, the field for a machine-readable "error code" in API v0 is
        `type`.

        In our future API v1, we are phasing out RFC 7807 and adopting a custom
        error format. That format will be documented in our API v1 spec. But you
        may see some v0 error responses with a machine-readable `code` field
        while we are making the transition from v0 to v1.
      properties:
        code:
          description: >-
            An optional “sneak preview” of our future API v1 error responses.
            This is provided to give integrators a chance to work with our
            future error codes. Error codes for the same error may change
            between v0 and v1.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'missing required fields: first_name, dob'
          type: string
        status:
          description: the HTTP status code for this response
          example: 400
          type: integer
        title:
          description: >
            A human-readable string for this general category of error, which
            corresponds 1-to-1 with error types (`title` is the human-readable
            version of `type`). There can be multiple distinct titles for the
            same HTTP status code, and the same `title` can result in many
            different `detail` strings.

            This field will be removed in API v1.
          example: Bad Request Body
          type: string
        type:
          description: >
            A machine-readable string that identifies the error for programmatic
            use. This is a URI, i.e. a globally unique identifier. It is _not_
            necessarily a URL, so do not expect it to resolve to a web page. You
            can use this whole string as an error code, or just everything after
            the last slash.

            This field will be removed in API v1.
          example: https://dev.synctera.com/errors/bad-request-body
          type: string
      title: Standard error response (RFC 7807 problem report)
      type: object
    party_vendor_info:
      description: Vendor information for external account management systems
      properties:
        vendor_data:
          $ref: '#/components/schemas/party_vendor_data'
        vendor_type:
          $ref: '#/components/schemas/party_vendor_type'
      required:
        - vendor_data
        - vendor_type
      type: object
    customer:
      allOf:
        - $ref: '#/components/schemas/base_customer'
        - properties:
            dob:
              description: >-
                Customer's date of birth in RFC 3339 full-date format
                (YYYY-MM-DD). Must be on or after 1900-01-01 and before current
                date.
              example: '2000-01-01'
              format: date
              type: string
            first_name:
              description: Customer's first name
              example: Jane
              type: string
            last_name:
              description: Customer's last name
              example: Smith
              type: string
            status:
              description: Customer's status
              enum:
                - ACTIVE
                - DECEASED
                - DENIED
                - DORMANT
                - ESCHEAT
                - FROZEN
                - INACTIVE
                - PROSPECT
                - SANCTION
              type: string
          required:
            - status
      description: Details of a customer
      title: Customer
      type: object
    prospect:
      allOf:
        - $ref: '#/components/schemas/base_customer'
        - properties:
            dob:
              description: >-
                Customer's date of birth in RFC 3339 full-date format
                (YYYY-MM-DD)
              example: '2000-01-01'
              format: date
              type: string
            first_name:
              description: Customer's first name
              example: Jane
              type: string
            last_name:
              description: Customer's last name
              example: Smith
              type: string
            status:
              description: Customer's status
              enum:
                - ACTIVE
                - DECEASED
                - DENIED
                - DORMANT
                - ESCHEAT
                - FROZEN
                - INACTIVE
                - PROSPECT
                - SANCTION
              type: string
          required:
            - status
      description: >-
        A prospect has a unique identifier. It can be upgrade to a customer with
        required information
      title: Customer
      type: object
    party_vendor_data:
      description: Vendor-specific data
      properties:
        loanpro:
          $ref: '#/components/schemas/party_loanpro_vendor_data'
      type: object
    party_vendor_type:
      description: Vendor type
      enum:
        - LOANPRO
      type: string
    base_customer:
      properties:
        addresses:
          description: All of the customer's addresses
          items:
            $ref: '#/components/schemas/address'
          readOnly: true
          type: array
        ban_status:
          $ref: '#/components/schemas/ban_status'
        classifications:
          $ref: '#/components/schemas/classifications'
        creation_time:
          description: The date and time the resource was created.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        email:
          description: Customer's email
          example: alice@example.com
          type: string
        has_accounts:
          $ref: '#/components/schemas/has_accounts'
        id:
          description: Customer unique identifier
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        kyc_exempt:
          description: Customer's KYC exemption
          readOnly: true
          type: boolean
        kyc_last_run:
          description: Date and time KYC was last run on the customer
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        kyc_status:
          $ref: '#/components/schemas/customer_kyc_status'
        last_updated_time:
          description: The date and time the resource was last updated.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        legal_address:
          $ref: '#/components/schemas/legal_address'
        metadata:
          description: User-supplied metadata. Do not use to store PII.
          type: object
        middle_name:
          description: Customer's middle name
          example: Anne
          type: string
        note:
          description: >-
            Add an optional note when creating or updating a customer. A note is
            required when updating a customers's ban_status between SUSPENDED
            and ALLOWED.
          type: string
          writeOnly: true
        phone_number:
          description: >-
            Customer's mobile phone number with country code in E.164 format.
            Must have a valid country code. Area code and local phone number are
            not validated.
          example: '+14374570680'
          pattern: ^\+[1-9]\d{1,14}$
          type: string
        related_customers:
          deprecated: true
          description: >-
            Customer's relationships with other accounts eg. guardian. This
            property is no longer supported. Setting it will return an error.
          items:
            $ref: '#/components/schemas/relationship'
          type: array
        shipping_address:
          $ref: '#/components/schemas/shipping_address'
        spend_control_ids:
          $ref: '#/components/schemas/spend_control_ids2'
        ssn:
          description: >-
            Customer's full tax ID eg SSN formatted with hyphens. This optional
            parameter is required when running KYC on a customer. Input must
            match the pattern ^\d{3}-\d{2}-\d{4}$. The response contains the
            last 4 digits only (e.g. 6789).
          example: 123-45-6789
          type: string
        ssn_source:
          $ref: '#/components/schemas/ssn_source'
        tenant:
          $ref: '#/components/schemas/tenant_id'
      type: object
    party_loanpro_vendor_data:
      description: LoanPro-specific vendor data
      properties:
        customer_id:
          description: LoanPro customer ID
          example: 12345
          format: int64
          minimum: 1
          type: integer
      required:
        - customer_id
      type: object
    address:
      properties:
        address_line_1:
          description: Street address line 1
          example: 100 Main St.
          type: string
        address_line_2:
          description: Street address line 2
          example: Suite 99
          type: string
        address_type:
          description: |
            Specifies the address type.
          enum:
            - BILLING
            - LEGAL
            - OPERATING
            - OTHER
            - SHIPPING
          example: SHIPPING
          readOnly: true
          type: string
        city:
          description: City
          example: New York
          type: string
        country_code:
          description: ISO-3166-1 Alpha-2 country code
          example: US
          pattern: ^[A-Z]{2}$
          type: string
        id:
          $ref: '#/components/schemas/id'
        is_registered_agent:
          description: >-
            Indicates whether an address is a registered agent. Omitted if the
            address is not a registered agent.
          example: true
          type: boolean
        nickname:
          description: >
            A nickname for the address. This is used to identify the address in
            the UI.
          example: Home
          type: string
        postal_code:
          description: >
            Postal code.

            For US, formats of 12345 or 12345-1234 are accepted.

            For CA, formats of A1A 1A1 or A1A1A1 (regardless of case) are
            accepted, and will be converted to A1A 1A1 format.
          example: '28620'
          type: string
        state:
          description: >
            State, region, province, or prefecture.

            This is the ISO-3166-2 subdivision code, excluding the country
            prefix.

            For example, TX for Texas USA or TAM for Tamaulipas Mexico.

            Its length varies by country, e.g. 2 characters for US, 3 for MX.
          example: NY
          type: string
      required:
        - address_line_1
        - country_code
      type: object
    ban_status:
      description: >
        (beta) Ban status of the person. One of the following:

        * `ALLOWED` – person is not banned or suspended

        * `SUSPENDED` - person is manually suspended due to fraud

        * `BANNED` – person is banned due to matching ban rules

        Note: changing the ban status to or from BANNED can only be performed by
        the Synctera platform based on ban rules.
      enum:
        - ALLOWED
        - BANNED
        - SUSPENDED
      example: ALLOWED
      type: string
    classifications:
      description: >
        Specifies the classification of a party for banks. This may contain
        multiple values for a combined classifications list of customers.
      items:
        $ref: '#/components/schemas/classification'
      readOnly: true
      type: array
    has_accounts:
      description: This flag indicates whether the person or business has accounts.
      readOnly: true
      type: boolean
    customer_kyc_status:
      description: Customer's KYC status
      enum:
        - ACCEPTED
        - PENDING
        - PROVIDER_FAILURE
        - PROVISIONAL
        - REJECTED
        - REVIEW
        - UNVERIFIED
      readOnly: true
      type: string
    legal_address:
      allOf:
        - description: Legal address
        - $ref: '#/components/schemas/address'
    relationship:
      properties:
        id:
          description: ID of related entity
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
        relationship_role:
          $ref: '#/components/schemas/relationship_role'
      required:
        - id
        - relationship_role
      title: Relationship
      type: object
    shipping_address:
      allOf:
        - $ref: '#/components/schemas/address'
        - description: Shipping address
    spend_control_ids2:
      description: List of spend control IDs to control spending for the customer
      items:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        format: uuid
        type: string
      maxItems: 100
      type: array
    ssn_source:
      description: |
        Describes the collection method for the customer's SSN:
        * `MANUAL` – the full 9 digits of the customer's SSN was collected.
        * `PREFILL` – the customer's SSN was collected using SSN Prefill.
      enum:
        - MANUAL
        - PREFILL
      readOnly: true
      type: string
    tenant_id:
      description: >
        The id of the tenant containing the resource. This is relevant for
        Fintechs that have multiple workspaces.
      example: abcdef_ghijkl
      type: string
    id:
      description: The unique identifier for this resource.
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      readOnly: true
      type: string
    classification:
      description: |
        Specifies the classification of a party.
      enum:
        - AUTHORIZED_USER
        - BANK_CUSTOMER
        - INACTIVE_BANK_CUSTOMER
        - PROSPECT
      type: string
    relationship_role:
      description: >-
        CUSTODIAN - Related party is the custodian e.g. the parent, BENEFICIARY
        - Related party is the beneficiary e.g. the dependent, PARTNER - Related
        party is the partner
      enum:
        - BENEFICIARY
        - CUSTODIAN
        - PARTNER
      example: CUSTODIAN
      title: Relationship Role
      type: string
  responses:
    bad_request:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: BadRequest
    unauthorized:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden error
    not_found:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Resource not found
    internal_server_error:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````